LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 06-28-2014, 03:05 AM   #1
yalashloo
LQ Newbie
 
Registered: Jun 2014
Posts: 9

Rep: Reputation: Disabled
Arrow instruction for installing lapack and lapack-devel on Centos 6.5


hi, I am using a geophysics software called Madagscar.For running codes, it needs lapack, lapack-devel and blas-devel. I searched and tried several different methods to install those packages, but I couldn't make any progress. Please give me an standard instruction to install them on my Centos 6.5. How should I define the path in the bashrc file? regards
 
Old 06-28-2014, 06:51 AM   #2
Habitual
LQ Veteran
 
Registered: Jan 2011
Location: Abingdon, VA
Distribution: Catalina
Posts: 9,374
Blog Entries: 37

Rep: Reputation: Disabled
Quote:
Originally Posted by yalashloo View Post
I searched and tried several different methods to install those packages, but I couldn't make any progress.
Please describe these "several different methods" you attempted.
 
Old 06-28-2014, 07:19 AM   #3
yalashloo
LQ Newbie
 
Registered: Jun 2014
Posts: 9

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Habitual View Post
Please describe these "several different methods" you attempted.
these are the pages which provide different ways to install blas-devel and lapack-devel, but none of them didn't solve my problem!

yum install atlas, atlas-devel, blas blas-devel lapack lapack-devel

http://stackoverflow.com/questions/7...ipy-needs-blas

http://www.kodkast.com/linux-package...pkg=blas-devel

http://www.linuxquestions.org/questi...tu-4175448488/

http://www.linuxquestions.org/questi...lation-926532/

http://www.linuxquestions.org/questi...-error-908232/

and so on. My problem is particularly the installation of blas-devel and lapack-devel. How can I confirm that these two are installed correctly? where should I install them? until now Madagascar giving this error: "Possible missing packages: lapack" Thank you
 
Old 06-28-2014, 08:26 AM   #4
Habitual
LQ Veteran
 
Registered: Jan 2011
Location: Abingdon, VA
Distribution: Catalina
Posts: 9,374
Blog Entries: 37

Rep: Reputation: Disabled
Quote:
Originally Posted by yalashloo View Post
Please give me an standard instruction to install them on my Centos 6.5.
First wish - Granted:
Code:
yum install atlas atlas-devel lapack-devel blas-devel
...
Dependencies Resolved

===============================================================================================
 Package                  Arch               Version                    Repository        Size
===============================================================================================
Installing:
 atlas-devel              x86_64             3.8.4-2.el6                base             4.2 M
 blas-devel               x86_64             3.2.1-4.el6                base             133 k
 lapack-devel             x86_64             3.2.1-4.el6                base             4.5 M
Installing for dependencies:
 blas                     x86_64             3.2.1-4.el6                base             321 k
 cloog-ppl                x86_64             0.15.7-1.2.el6             base              93 k
 cpp                      x86_64             4.4.7-4.el6                base             3.7 M
 gcc                      x86_64             4.4.7-4.el6                base              10 M
 gcc-gfortran             x86_64             4.4.7-4.el6                base             4.7 M
 lapack                   x86_64             3.2.1-4.el6                base             4.3 M
 mpfr                     x86_64             2.4.1-6.el6                base             157 k
 ppl                      x86_64             0.10.2-11.el6              base             1.3 M

Transaction Summary
===============================================================================================
Install      11 Package(s)
Total download size: 33 M
Installed size: 95 M

Quote:
Originally Posted by yalashloo
How should I define the path in the bashrc file?
Install first. then we'll deal with the .bashrc

Last edited by Habitual; 06-28-2014 at 08:29 AM.
 
1 members found this post helpful.
Old 06-29-2014, 06:17 AM   #5
yalashloo
LQ Newbie
 
Registered: Jun 2014
Posts: 9

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Habitual View Post
First wish - Granted:
[CODE]yum install atlas atlas-devel lapack-devel blas-devel
...

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
atlas-devel i686 3.8.4-2.el6 base 3.8 M
blas-devel i686 3.2.1-4.el6 base 113 k
lapack-devel i686 3.2.1-4.el6 base 3.9 M

Transaction Summary
================================================================================
Install 3 Package(s)

only these 3! it can't install the lapack and blas one!
 
Old 06-29-2014, 06:41 AM   #6
Habitual
LQ Veteran
 
Registered: Jan 2011
Location: Abingdon, VA
Distribution: Catalina
Posts: 9,374
Blog Entries: 37

Rep: Reputation: Disabled
yum should tell you why they won't install. So what's yum say when you try with
Code:
yum install lapack-devel blas-devel
 
1 members found this post helpful.
Old 06-29-2014, 07:35 AM   #7
yalashloo
LQ Newbie
 
Registered: Jun 2014
Posts: 9

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Habitual View Post
yum should tell you why they won't install. So what's yum say when you try with
Appreciate you for your time and your support. After running yum again, I received this message:

Setting up Install Process
Package atlas-3.8.4-2.el6.x86_64 already installed and latest version
Package atlas-devel-3.8.4-2.el6.x86_64 already installed and latest version
Package lapack-devel-3.2.1-4.el6.x86_64 already installed and latest version
Package blas-devel-3.2.1-4.el6.x86_64 already installed and latest version
Nothing to do

what I should do then?. I should mention that I try this on both my laptop and my workstation PC.

Last edited by yalashloo; 06-29-2014 at 07:37 AM.
 
Old 06-29-2014, 08:45 AM   #8
Habitual
LQ Veteran
 
Registered: Jan 2011
Location: Abingdon, VA
Distribution: Catalina
Posts: 9,374
Blog Entries: 37

Rep: Reputation: Disabled
No problem.
is Madagascar installed, and if it is, how was it installed?

Edit:
I see If your shell is sh or bash, add to your $HOME/.bashrc and $HOME/.bash_profile files...
Is that where we are at presently?

Last edited by Habitual; 06-29-2014 at 08:51 AM.
 
Old 06-29-2014, 11:01 AM   #9
yalashloo
LQ Newbie
 
Registered: Jun 2014
Posts: 9

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Habitual View Post
Is that where we are at presently?
Yes, now lapack and blas are detected by madagascar, but still cannot run, and giving error! " possible missing packages: lapack". does sequence of installing softwares in linux affect their operation?
 
Old 06-29-2014, 12:59 PM   #10
Habitual
LQ Veteran
 
Registered: Jan 2011
Location: Abingdon, VA
Distribution: Catalina
Posts: 9,374
Blog Entries: 37

Rep: Reputation: Disabled
I asked 2 questions.
You only answered one.
 
Old 06-29-2014, 01:17 PM   #11
yalashloo
LQ Newbie
 
Registered: Jun 2014
Posts: 9

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Habitual View Post
You only answered one.
Second one is that yes, Madagascar already installed following that instruction which you also saw and, for other codes, it is working properly. Thank you
 
Old 06-30-2014, 09:23 AM   #12
Habitual
LQ Veteran
 
Registered: Jan 2011
Location: Abingdon, VA
Distribution: Catalina
Posts: 9,374
Blog Entries: 37

Rep: Reputation: Disabled
What value did you supply for "==prefix=" when you ran "./configure..."
designated at General_instructions ?
 
Old 06-30-2014, 11:21 AM   #13
yalashloo
LQ Newbie
 
Registered: Jun 2014
Posts: 9

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Habitual View Post
What value did you supply for "==prefix=" when you ran "./configure..."
designated at General_instructions ?
I wrote: ./configure --prefix=/home/yaser/madagascar
Good news is that I uninstalled Madagascar, then reinstalled it. Now problem solved, but still I am doubting that there is any relevancy between the sequence of software installation for Madagascar?
 
Old 06-30-2014, 01:06 PM   #14
Habitual
LQ Veteran
 
Registered: Jan 2011
Location: Abingdon, VA
Distribution: Catalina
Posts: 9,374
Blog Entries: 37

Rep: Reputation: Disabled
Quote:
Originally Posted by yalashloo View Post
I am doubting that there is any relevancy between the sequence of software installation for Madagascar?
Dependencies first, package second.

What's the doubt?
 
1 members found this post helpful.
Old 12-16-2016, 06:22 AM   #15
Yasir_yb
LQ Newbie
 
Registered: Dec 2016
Posts: 3

Rep: Reputation: Disabled
Quote:
Originally Posted by yalashloo View Post
I wrote: ./configure --prefix=/home/yaser/madagascar
Good news is that I uninstalled Madagascar, then reinstalled it. Now problem solved, but still I am doubting that there is any relevancy between the sequence of software installation for Madagascar?

I have the same problem with madagascar (Lapack missing). I follow the procedure , Uninstall the madagascar and reinstalled the software. But I still have Lapack Missing issue.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing LAPACK on the ubuntu saeedian Linux - Software 16 12-06-2013 12:16 PM
[SOLVED] update alternatives problem while installing lapack Tonystark Linux - Newbie 7 07-24-2013 11:35 PM
Installing Atlas librairies / cblas / lapack adamo514q Linux - Software 5 02-28-2013 03:44 PM
[SOLVED] Installing LAPACK on OSX. Fortran90. C.L. Other *NIX 4 11-09-2011 02:00 AM
greenie over his head with installing lapack munichtexan Programming 0 05-13-2008 04:09 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 11:15 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration